Subject: Re: bug#16647: Imprecisions with window-resizing cursors

From: [email-masked] (N. Jackson)
Date: Mon, 24 Feb 2014 14:39:15 -0400

At 14:12 -0400 on Monday 2014-02-24, martin rudalics wrote:

>> But with
>>
>>     emacs -Q
>>     M-: (set-frame-parameter nil 'bottom-divider-width 10) RET
>>     M-x split-window-below RET
>>     Drag the window divider up a few pixels (but less than one line)
>>     Observe bug
>>     M-: (setq window-resize-pixelwise t)
>>
>> The bug is no longer observed. Note that I didn't move the divider after
>> setting window-resize-pixelwise, the bug was immediately no longer
>> manifest.
>
> OK.  Can you try the same I asked Evgeni?  In xdisp.c remove this code
>
>   if (window_resize_pixelwise)
>     {
>       width = height = 1;
>       goto virtual_glyph;
>     }
>
> and check whether setting `window-resize-pixelwise' to t still changes
> the behavior.  The expected answer is "no".
>
> Thanks, martin

No, that's no good. Commenting out the body of that if statement results
in a seg fault when I approach the divider with the mouse cursor.

[nlj@moondust trunk]$ src/emacs -Q
Fatal error 11: Segmentation fault
Backtrace:
src/emacs[0x4f9d6b]
src/emacs[0x4e0e4e]
src/emacs[0x4f8d8e]
src/emacs[0x4f8f93]
/lib64/libpthread.so.0[0x359600ef90]
src/emacs[0x434ad3]
src/emacs[0x4b3cab]
src/emacs[0x4bbed3]
src/emacs[0x4bd378]
/lib64/libgdk-3.so.0[0x31f004e941]
/lib64/libgdk-3.so.0[0x31f004ebce]
/lib64/libgdk-3.so.0(gdk_display_get_event+0x68)[0x31f0023aa8]
/lib64/libgdk-3.so.0[0x31f004e9c2]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x146)[0x31ed047dc6]
/lib64/libglib-2.0.so.0[0x31ed048118]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x31ed0481bc]
/lib64/libgtk-3.so.0(gtk_main_iteration+0x15)[0x31f058a5b5]
src/emacs[0x4b5e52]
src/emacs[0x4e7a11]
src/emacs[0x4e7435]
src/emacs[0x537a22]
src/emacs[0x555df0]
src/emacs[0x556901]
src/emacs[0x4e622f]
src/emacs[0x4e6761]
src/emacs[0x4e7b18]
src/emacs[0x4eadd4]
src/emacs[0x58e726]
src/emacs[0x420b14]
src/emacs[0x4ebaf4]
src/emacs[0x4ecfb3]
src/emacs[0x4eebd0]
src/emacs[0x54f26e]
src/emacs[0x4e12de]
src/emacs[0x54f17b]
src/emacs[0x4e5737]
src/emacs[0x4e5a22]
src/emacs[0x417135]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x3595421b45]
src/emacs[0x417bf1]
Segmentation fault (core dumped)